Page MenuHomePhabricator

Update Wikimedia logo on Mailman web pages from colored version to black and white version
Closed, DeclinedPublic

Description

Pages like https://lists.wikimedia.org/mailman/listinfo/affcom-members use https://upload.wikimedia.org/wikipedia/commons/thumb/1/12/Wikimedia_logo_text_RGB.svg/200px-Wikimedia_logo_text_RGB.svg.png in /operations/puppet/modules/mailman/files/templates/*/listinfo.html.

Though https://foundation.wikimedia.org/wiki/Visual_identity_guidelines does not really cover anything about a movement logo (just some "Wikimedia Foundation" thingy) I somehow wildly guess that lists.wikimedia.org pages should use the black and white logo.

But it seems there are only https://commons.wikimedia.org/wiki/File:Wikimedia_Foundation_logo_-_vertical.svg (additional "Foundation") and https://commons.wikimedia.org/wiki/File:Wikimedia-logo_black.svg (no "Wikimedia").
Let's use the later one, I guess?

Event Timeline

Aklapper triaged this task as Lowest priority.
Restricted Application added a project: Operations. · View Herald TranscriptDec 28 2018, 10:05 PM
jrbs added a subscriber: jrbs.Dec 29 2018, 9:17 AM

The black and white logo is just for the Foundation. The coloured logo is still used for community-related activity, which I would guess mailman includes. AffCom is one of the few exceptions there, but even that I would say is community rather than Foundation.

The black and white logo is just for the Foundation. The coloured logo is still used for community-related activity, which I would guess mailman includes. AffCom is one of the few exceptions there, but even that I would say is community rather than Foundation.

AffCom is more of an example. I wasn't aware that for community-related activities we still use the RGB logo. Is there a way to migrate away from that to have a consistent look everywhere?

Restricted Application added a project: Operations. · View Herald TranscriptJan 2 2019, 4:52 PM
jrbs added a comment.Jan 2 2019, 4:53 PM

I believe keeping RGB around was a compromise made by Comms when they did the redesign, so I don't think there is a plan to update community logos. Someone from WMF-Communications might have more information on that.

I believe (and personally hope) the plan is to keep the RGB version for community logos. Per https://meta.wikimedia.org/wiki/Brand#Using_the_Wikimedia_mark and https://meta.wikimedia.org/wiki/Logo#Current_logos it's the main logo for the movement.

Dzahn added a subscriber: Dzahn.Jan 2 2019, 7:39 PM

I feel this ticket is more general than a mailman issue. Maybe rename to figure out a general approach to logos and what is considered community vs. wmf logos?

If the answer is that community-related logos stay colored and mailman is community related then this is rejected.

If the answer is it should be changed then it would be an action item for individual list admins.

But it would not be actionable for SRE.

Thanks everyone for chiming in. Proposing to decline this task per last comments.

Ladsgroup closed this task as Declined.Jan 9 2019, 4:49 AM

Thanks for the notes.